Subject: Re: [netmod] whitespace characters

From: Martin Bjorklund <[email-masked]>
Date: Fri, 08 Jan 2016 09:31:28 +0100 (CET)

Ladislav Lhotka <[email-masked]> wrote:
> Hi,
> 
> the definition of "enum" argument (sec. 9.6.4 in 6020bis) says:
> 
>    The string MUST NOT be empty and MUST NOT have any leading or trailing
>    whitespace characters.
> 
> It is not clear what "whitespace character" means.

It is supposed to be unicode whitespace.  Should we write:

  The string MUST NOT be empty and MUST NOT have any leading or trailing
  whitespace characters (any Unicode character with the "White_Space"
  property).

or simply

  The string MUST NOT be empty and MUST NOT have any leading or trailing
  Unicode whitespace characters.

> The ABNF indicates this:
>    WSP                 = SP / HTAB
>                          ; whitespace

This is copied from RFC 5234.

/martin

> 
> I think in the "enum" definition LF (and maybe also CR?) should also count as a whitespace character.
> 
> Lada
> 
> --
> Ladislav Lhotka, CZ.NIC Labs
> PGP Key ID: E74E8C0C
> 
> 
> 
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 8 Jan 2016 10:54:04 +0100

> On 08 Jan 2016, at 09:31, Martin Bjorklund <[email-masked]> wrote:
> 

I guess I prefer the more verbose version.

> This is copied from RFC 5234.

OK, but it's not the whitespace that the enum definition talks about.

BTW, sec. 9.7.2 says that "bits" value is "a space-separated list". I assume what's meant here is only the regular space, i.e. U+0020.

Lada

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 08 Jan 2016 11:11:53 +0100 (CET)

> I guess I prefer the more verbose version.

Ok, fixed.

> BTW, sec. 9.7.2 says that "bits" value is "a space-separated list". I
> assume what's meant here is only the regular space, i.e. U+0020.

Yes.  It doesn't say "whitespace-separated list".

/martin